package com.huiju.estateagents.statistic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.statistic.entity.TaCustomerStatisticDaily;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 客户分析日统计表 小程序盘客工具客户分析 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-11-08
 */
@Mapper
public interface TaCustomerStatisticDailyMapper extends BaseMapper<TaCustomerStatisticDaily> {
	
	/**
	 * 获取当天跟进客户数
	 * @param nowDate
	 * @return
	 */
	List<TaCustomerStatisticDaily> getFollowUpData(@Param("nowDate") LocalDateTime nowDate);
	
	/**
	 * 获取当天新增客户数
	 * @param nowDate
	 * @param status
	 * @return
	 */
	List<TaCustomerStatisticDaily> getNewCustomerData(@Param("nowDate") LocalDateTime nowDate,@Param("status") int status);
	
	/**
	 * 获取当天到访客户数
	 * @param nowDate
	 * @param checkin
	 * @return
	 */
	List<TaCustomerStatisticDaily> getVisiteCustomerData(@Param("nowDate") LocalDateTime nowDate,@Param("checkin") int checkin);
	
	/**
	 * 获取31天的统计数据
	 * @param customerType
	 * @param orgId
	 * @param nowDate
	 * @param beforeDate
	 * @return
	 */
	List<TaCustomerStatisticDaily> getDailyList(@Param("customerType") String customerType,@Param("orgId")  Integer orgId,@Param("nowDate")  LocalDateTime nowDate,@Param("beforeDate")  LocalDateTime beforeDate);
	
	int deleteNowDate(@Param("nowDate") LocalDateTime nowDate,@Param("customerType") String customerType);
}
